<div [ngClass]="{'stepper-header':!vertical, 'stepper-header--vertical':vertical}">
  <ng-container *ngFor="let item of steps; let i = index; last as isLast">
    <button cui-button
            type="button"
            [disabled]="!activeHead || item.disabled"
            [ngClass]="{'step-label':!vertical, 'step-label--vertical':vertical, 'activeHeader--off':!activeHead}"
            mode="ghost"
            (click)="active = i"
            [class.cui-active]="active === i">
      <div *ngIf="i===active" class="icon">
        <button *ngIf="item.prefixIcon!==undefined" class="icon-button--prefixIcon" cui-icon-button
                [disabled]="!activeHead || item.disabled" mode="primary" [round]="true" size="xs"
                [icon]="item.prefixIcon" [ngClass]="{'activeHeader--off':!activeHead}"></button>
        {{item.label}}
        <button *ngIf="item.suffixIcon!==undefined" class="icon-button--suffixIcon" cui-icon-button
                [disabled]="!activeHead || item.disabled" mode="primary" [round]="true" size="xs"
                [icon]="item.suffixIcon" [ngClass]="{'activeHeader--off':!activeHead}"></button>
      </div>
      <div *ngIf="i!==active" class="inactive">
        <button cui-button *ngIf="item.prefixIcon!==undefined" mode="custom" [round]="true" class="inactive" size="xs"
                [disabled]="!activeHead || item.disabled"
                [ngClass]="{'activeHeader--off':!activeHead}">{{item.stepNumber || i + 1}}</button>
        {{item.label}}
        <button cui-button *ngIf="item.suffixIcon!==undefined" mode="custom" [round]="true" class="inactive" size="xs"
                [disabled]="!activeHead || item.disabled"
                [ngClass]="{'activeHeader--off':!activeHead}">{{item.stepNumber || i + 1}}</button>
      </div>
    </button>
    <div *ngIf="vertical" class="stepper-body--vertical">
      <div class="stepper-binding-line--vertical" *ngIf="!isLast"></div>
      <div *ngIf="i===active" class="body-content--vertical">
        <ng-container *ngTemplateOutlet="activeTab?.bodyContent || null">
        </ng-container>
      </div>
    </div>
    <div class="stepper-binding-line" *ngIf="!vertical && !isLast"></div>
  </ng-container>
</div>

<div *ngIf='!vertical' class="stepper-body">
  <ng-container *ngTemplateOutlet="activeTab?.bodyContent || null">
  </ng-container>
</div>


